/**
 * 
 * @author santini
 * @version 1.0
 * Stratégie de calcul du montant du rabais sur un devis pour les clients ne
 * bénéficiant pas d'un programme de rabais.
 */

public class NoDiscount implements Discount {

	public NoDiscount() {}
	
	/**
	 * Retourne le montant du rabais.
	 * @return montant le montant sur lequel est calculé le rabais
	 */
	@Override
	public Double discount(Double price) {
		return 0.;
	}

	@Override
	public String toString() {
		return "Aucun";
	}
}
