/**
 * 
 * @author santini
 * @version 1.0
 * Stratégie de calcul du montant du rabais sur un devis pour les clients bénéficiant
 * d'un programme de rabais Premium.
 */

public class PremiumDiscount implements Discount {
	
	public PremiumDiscount() {}
	
	/**
	 * Retourne le montant du rabais.
	 * @return montant le montant sur lequel est calculé le rabais
	 */
	@Override
	public Double discount(Double montant) {
		return 0.2*montant;
	}

	@Override
	public String toString() {
		return "Premium";
	}
}
