/**
 * 
 * @author santini
 * @version 1.0
 * Interface de stratégie de calcul du montant des taxes d'un devis
 */
public interface Taxe {
	/**
	 * 
	 * @param montantHT le montant d'un panier sur lequel est appliqué les taxes
	 * @return le montant des taxes correspondant au panier
	 */
	public Double montantTaxe(Double montantHT);
}
